<< icceps | FOSSEE_Signal_Processing_Toolbox | idct2 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > idct1

# idct1

Compute the inverse discrete cosine transform.

### Syntax

    Y = idct1(X)
    Y = idct1(X, N)

### Parameters

X:

  Input matrix or integer.

N:

  (optional) If N is given, X is padded or trimmed to length N before computing the transform.

### Description

Computes the inverse discrete cosine transform of input X. If X is a matrix, the transform is computed along the columns of the matrix. The transform is faster if X is real-valued and of even length.

### Examples

    idct1([1, 3, 6])

Report an issue
<< icceps | FOSSEE_Signal_Processing_Toolbox | idct2 >>